# -*- coding: UTF-8 -*-
import sys, os
import signal
sys.path[0] = os.path.normpath('%s/../../..' % sys.path[0])
from common.logger import Logger
log = Logger(location='cash').getLoggerUpload("main")
from upload.fam import fam
from common import statuses, config
from common.statuses import upload as st
import traceback

log.info(u"Запуск сервиса прогрузки справочников")

def stop(signum, frame):
    fam.stop()
signal.signal(signal.SIGTERM, stop)

confFileName = sys.path[0] + "/../config/cash/exchangers.ini"
if not config.read(confFileName):
    statuses.setUploadStatus(st.ERROR_READ_INI)
    log.error(u"Файл настроек %s не найден" % confFileName)
    exit(1)
config.set('UPLOAD', 'nodeGetter', 'cash')

try:
    statuses.setUploadStatus(st.PROGRAM_START)
    fam.start()
except Exception, e:
    statuses.setUploadStatus(st.ERROR_PROGRAM_START)
    log.error(u'%s' % traceback.format_exc())